54. overwriteMode
Prev | Chapter 6. Commands written in the Java™ programming language | Next

## 54. overwriteMode

Parameter syntax:

    toggle|on|off|isOn

Allows to switch from Insert Mode to Overwrite Mode and vice versa.

Insert Mode

  Typing a character inserts it at caret position.

Overwrite Mode

  Typing a character replaces the character found at caret position by the typed character. If the caret is positioned at the very end of a text (or comment or processing-instruction) node, then typed characters are simply inserted there.

Options:

toggle

  Switch from Insert Mode to Overwrite Mode and vice versa.

on

  Ensures that Overwrite Mode is turned on.

off

  Ensures that Overwrite Mode is turned off.

isOn

  Returns `Boolean.TRUE` if Overwrite Mode is turned on; otherwise returns Boolean.FALSE.

Whatever the option used, this command returns a `Boolean` indicating whether Overwrite Mode is turned on.

Prev | Up | Next
53. moveElement | Home | 55. overwriteString